%define         pypiname          pyresample

Name:           python-pyresample
Version:        1.31.0
Release:        %mkrel 2

Summary:        A Python package for geospatial resampling
License:        LGPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyresample
Source0:        https://pypi.io/packages/source/p/pyresample/%{pypiname}-%{version}.tar.gz


%description
Pyresample is a Python package for manipulation and analysis
of planar geometric objects. It is based on the widely deployed GEOS
(the engine of PostGIS) and JTS (from which GEOS is ported)
libraries. Pyresample is not concerned with data formats or coordinate
systems, but can be readily integrated with packages that are.



%package -n python3-pyresample
Summary:        Python3 implementation of Pyresample
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypiname}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pyproj
BuildRequires:  python3dist(configobj)
BuildRequires:  python3dist(pykdtree)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(shapely)
BuildRequires:  python3dist(platformdirs)
BuildRequires:  python3dist(versioneer)

%description -n python3-pyresample
%{summary}.




%prep
%setup -q -n %{pypiname}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyresample

%files -n python3-pyresample -f %{pyproject_files}
%doc LICENSE.txt README


%changelog
* Sun Mar 02 2025 wally <wally> 1.31.0-2.mga10
+ Revision: 2158479
- rebuild for python3.13

* Mon Dec 09 2024 eatdirt <eatdirt> 1.31.0-1.mga10
+ Revision: 2123210
- Update to version 1.31.0

* Sun May 05 2024 eatdirt <eatdirt> 1.28.3-1.mga10
+ Revision: 2062305
- Update to version 1.28.3

* Tue Feb 20 2024 papoteur <papoteur> 1.28.1-1.mga10
+ Revision: 2042639
- new version 1.28.1

* Sun Dec 04 2022 eatdirt <eatdirt> 1.26.0.post0-1.mga9
+ Revision: 1917583
- Update to version 1.26.0.post0

* Mon Mar 28 2022 umeabot <umeabot> 1.22.3-2.mga9
+ Revision: 1829529
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.22.3-1.mga9
+ Revision: 1775630
- version 1.22.3
- rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 1.21.0-1.mga9
+ Revision: 1742967
- Fix missing BR to cython
- Upgrade to version 1.21.0

* Mon Apr 19 2021 daviddavid <daviddavid> 1.16.0-2.mga9
+ Revision: 1717102
- rebuild for python 3.9

* Sat Jul 11 2020 eatdirt <eatdirt> 1.16.0-1.mga8
+ Revision: 1605246
- Upgrade to version 1.16.0

* Wed Mar 18 2020 eatdirt <eatdirt> 1.14.0-1.mga8
+ Revision: 1557797
- Upgrade to version 1.14.0

* Sun Feb 16 2020 umeabot <umeabot> 1.12.0-3.mga8
+ Revision: 1535853
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.12.0-2.mga8
+ Revision: 1452750
- rebuild for python-3.8
- drop python2 subpkg

* Wed Apr 17 2019 eatdirt <eatdirt> 1.12.0-1.mga7
+ Revision: 1392058
- Upgrade to version 1.12.0

* Tue Jan 08 2019 shlomif <shlomif> 1.10.3-1.mga7
+ Revision: 1352217
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.10.1-3.mga7
+ Revision: 1300577
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.10.1-2.mga7
+ Revision: 1250045
- Fix missing Obsoletes

* Tue Aug 07 2018 eatdirt <eatdirt> 1.10.1-1.mga7
+ Revision: 1248723
- Upgrade to version 1.10.1

* Sun May 13 2018 eatdirt <eatdirt> 1.9.1-1.mga7
+ Revision: 1229123
- Upgrade to version 1.9.1

* Fri Oct 27 2017 eatdirt <eatdirt> 1.7.0-1.mga7
+ Revision: 1174053
- imported package python-pyresample

